<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.205
Name: Assessment Section
Description: Assessment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000">
   <title>Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]"
         id="tmp-r-4abad53e-3173-47e9-9bf4-bd5ac6391876">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&gt;=1 ">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&lt;=1">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(AssessmentSection): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(AssessmentSection): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:title)&gt;=1 ">(AssessmentSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:title)&lt;=1">(AssessmentSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AssessmentSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:text)&lt;=1">(AssessmentSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]])&gt;=1 ">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]])&lt;=1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]])&gt;=1 ">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]])&lt;=1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:templateId
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:templateId"
         id="tmp-r-fa6e0a67-dee8-410f-ad44-773d3124d94a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.205'">(AssessmentSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.205' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fe3494c8-fa87-4a4d-aa31-227197e5550a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(AssessmentSection): de elementwaarde MOET zijn code '51848-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:title
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:title"
         id="tmp-r-619d909c-4778-4b91-a2d4-b68c2f95d4f5">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="text()='Beoordeling'">(AssessmentSection): de element content van hl7:title MOET ''Beoordeling'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:text
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:text"
         id="tmp-r-0685ea5c-fd7b-42ee-afc5-406a175798ba">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]]"
         id="tmp-r-407563ba-24ba-410d-b000-50d129aaa401">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.346']]]"
         id="tmp-r-ea8093e4-45c2-43aa-bb26-efdca3ae4616">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]"
         id="tmp-r-47a1176f-7d82-4bb3-99f2-2188ffa56182">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]"
         id="tmp-r-4ccfa361-95f9-41ab-a409-87bd96b996ec">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]]"
         id="tmp-r-33337f81-5656-4e24-8907-59ead8d4d786">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
