<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.423
Name: Type tumor (darmkanker)
Description: Template: Type tumor (darmkanker)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000">
   <title>Type tumor (darmkanker)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]"
         id="tmp-r-e138b5f1-b32c-4b40-aa54-6bb5854761c9">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Typetumordarmkanker): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Typetumordarmkanker): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&gt;=1 ">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&lt;=1">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&gt;=1 and not(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]/@nullFlavor)">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&lt;=1">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Typetumordarmkanker): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Typetumordarmkanker): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]/@nullFlavor)">(Typetumordarmkanker): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(Typetumordarmkanker): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId"
         id="tmp-r-4e7ca1f9-d190-4b88-b396-1e05b47093e2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.423'">(Typetumordarmkanker): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.423' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]"
         id="tmp-r-f8395f90-4dc2-4a45-82c0-65a6d49466ba">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or (@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1' and @displayName='Histologic type' and @codeSystemName='PathLex')">(Typetumordarmkanker): de elementwaarde MOET zijn code '160' codeSystem '1.3.6.1.4.1.19376.1.8.2.1' displayName='Histologic type' codeSystemName='PathLex'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text"
         id="tmp-r-0f9f7cbb-249b-4a8a-8dec-f6b10e8a64da">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Typetumordarmkanker): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Typetumordarmkanker): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text/hl7:reference
Item: (Typetumordarmkanker)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]"
         id="tmp-r-6ebe0d5d-9a41-480f-b315-4649ea4f94e4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Typetumordarmkanker): de elementwaarde MOET zijn vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]) or (doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140221T195940/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Typetumordarmkanker): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH).</assert>
   </rule>
</pattern>
